require File.expand_path('../boot', __FILE__)

require 'rails/all'

Bundler.require(*Rails.groups(:assets => %w(development test))) if defined?(Bundler)

require 'cesium'

module Dummy
  class Application < Rails::Application
    # Settings in config/environments/* take precedence over those specified here.
    # Application configuration should go into files in config/initializers
    # -- all .rb files in that directory are automatically loaded.

    # Custom directories with classes and modules you want to be autoloadable.
    # config.autoload_paths += %W(#{config.root}/extras)

    # Only load the plugins named here, in the order given (default is alphabetical).
    # :all can be used as a placeholder for all plugins not explicitly named.
    # config.plugins = [ :exception_notification, :ssl_requirement, :all ]

    # Activate observers that should always be running.
    # config.active_record.observers = :cacher, :garbage_collector, :forum_observer

    # Set Time.zone default to the specified zone and make Active Record auto-convert to this zone.
    # Run "rake -D time" for a list of tasks for finding time zone names. Default is UTC.
    # config.time_zone = 'Central Time (US & Canada)'

    # The default locale is :en and all translations from config/locales/*.rb,yml are auto loaded.
    # config.i18n.load_path += Dir[Rails.root.join('my', 'locales', '*.{rb,yml}').to_s]
    # config.i18n.default_locale = :de

    # Configure the default encoding used in templates for Ruby 1.9.
    config.encoding = 'utf-8'

    # Configure sensitive parameters which will be filtered from the log file.
    config.filter_parameters += [:password]

    # Enable escaping HTML in JSON.
    config.active_support.escape_html_entities_in_json = true

    # Use SQL instead of Active Record's schema dumper when creating the database.
    # This is necessary if your schema can't be completely dumped by the schema dumper,
    # like if you have constraints or database-specific column types
    # config.active_record.schema_format = :sql

    # Enforce whitelist mode for mass assignment.
    # This will create an empty whitelist of attributes available for mass-assignment for all models
    # in your app. As such, your models will need to explicitly whitelist or blacklist accessible
    # parameters by using an attr_accessible or attr_protected declaration.
    config.active_record.whitelist_attributes = true

    # Enable the asset pipeline
    config.assets.enabled = true

    cesium_sources = %w(
      Cesium/Assets/Assets.profile.js
      Cesium/Cesium.js
      Cesium/copyrightHeader.js
      Cesium/Core/ArcGisImageServerTerrainProvider.js
      Cesium/Core/AssociativeArray.js
      Cesium/Core/AttributeCompression.js
      Cesium/Core/AxisAlignedBoundingBox.js
      Cesium/Core/barycentricCoordinates.js
      Cesium/Core/binarySearch.js
      Cesium/Core/BingMapsApi.js
      Cesium/Core/BoundingRectangle.js
      Cesium/Core/BoundingSphere.js
      Cesium/Core/BoxGeometry.js
      Cesium/Core/BoxOutlineGeometry.js
      Cesium/Core/buildModuleUrl.js
      Cesium/Core/cancelAnimationFrame.js
      Cesium/Core/Cartesian2.js
      Cesium/Core/Cartesian3.js
      Cesium/Core/Cartesian4.js
      Cesium/Core/Cartographic.js
      Cesium/Core/CatmullRomSpline.js
      Cesium/Core/CesiumTerrainProvider.js
      Cesium/Core/CircleGeometry.js
      Cesium/Core/CircleOutlineGeometry.js
      Cesium/Core/Clock.js
      Cesium/Core/ClockRange.js
      Cesium/Core/ClockStep.js
      Cesium/Core/clone.js
      Cesium/Core/Color.js
      Cesium/Core/ColorGeometryInstanceAttribute.js
      Cesium/Core/combine.js
      Cesium/Core/ComponentDatatype.js
      Cesium/Core/Core.profile.js
      Cesium/Core/CornerType.js
      Cesium/Core/CorridorGeometry.js
      Cesium/Core/CorridorGeometryLibrary.js
      Cesium/Core/CorridorOutlineGeometry.js
      Cesium/Core/createGuid.js
      Cesium/Core/Credit.js
      Cesium/Core/CubicRealPolynomial.js
      Cesium/Core/CylinderGeometry.js
      Cesium/Core/CylinderGeometryLibrary.js
      Cesium/Core/CylinderOutlineGeometry.js
      Cesium/Core/DefaultProxy.js
      Cesium/Core/defaultValue.js
      Cesium/Core/defined.js
      Cesium/Core/defineProperties.js
      Cesium/Core/deprecationWarning.js
      Cesium/Core/destroyObject.js
      Cesium/Core/DeveloperError.js
      Cesium/Core/EarthOrientationParameters.js
      Cesium/Core/EarthOrientationParametersSample.js
      Cesium/Core/EasingFunction.js
      Cesium/Core/EllipseGeometry.js
      Cesium/Core/EllipseGeometryLibrary.js
      Cesium/Core/EllipseOutlineGeometry.js
      Cesium/Core/Ellipsoid.js
      Cesium/Core/EllipsoidalOccluder.js
      Cesium/Core/EllipsoidGeodesic.js
      Cesium/Core/EllipsoidGeometry.js
      Cesium/Core/EllipsoidOutlineGeometry.js
      Cesium/Core/EllipsoidTangentPlane.js
      Cesium/Core/EllipsoidTerrainProvider.js
      Cesium/Core/EncodedCartesian3.js
      Cesium/Core/Event.js
      Cesium/Core/EventHelper.js
      Cesium/Core/ExtrapolationType.js
      Cesium/Core/FeatureDetection.js
      Cesium/Core/formatError.js
      Cesium/Core/freezeObject.js
      Cesium/Core/Fullscreen.js
      Cesium/Core/GeographicProjection.js
      Cesium/Core/GeographicTilingScheme.js
      Cesium/Core/Geometry.js
      Cesium/Core/GeometryAttribute.js
      Cesium/Core/GeometryAttributes.js
      Cesium/Core/GeometryInstance.js
      Cesium/Core/GeometryInstanceAttribute.js
      Cesium/Core/GeometryPipeline.js
      Cesium/Core/getFilenameFromUri.js
      Cesium/Core/getImagePixels.js
      Cesium/Core/getTimestamp.js
      Cesium/Core/GregorianDate.js
      Cesium/Core/HeightmapTerrainData.js
      Cesium/Core/HeightmapTessellator.js
      Cesium/Core/HermitePolynomialApproximation.js
      Cesium/Core/HermiteSpline.js
      Cesium/Core/Iau2000Orientation.js
      Cesium/Core/Iau2006XysData.js
      Cesium/Core/Iau2006XysSample.js
      Cesium/Core/IauOrientationAxes.js
      Cesium/Core/IauOrientationParameters.js
      Cesium/Core/IndexDatatype.js
      Cesium/Core/InterpolationAlgorithm.js
      Cesium/Core/Intersect.js
      Cesium/Core/Intersections2D.js
      Cesium/Core/IntersectionTests.js
      Cesium/Core/Interval.js
      Cesium/Core/isArray.js
      Cesium/Core/isCrossOriginUrl.js
      Cesium/Core/isLeapYear.js
      Cesium/Core/Iso8601.js
      Cesium/Core/jsonp.js
      Cesium/Core/JulianDate.js
      Cesium/Core/KeyboardEventModifier.js
      Cesium/Core/LagrangePolynomialApproximation.js
      Cesium/Core/LeapSecond.js
      Cesium/Core/LinearApproximation.js
      Cesium/Core/LinearSpline.js
      Cesium/Core/loadArrayBuffer.js
      Cesium/Core/loadBlob.js
      Cesium/Core/loadImage.js
      Cesium/Core/loadImageViaBlob.js
      Cesium/Core/loadJson.js
      Cesium/Core/loadText.js
      Cesium/Core/loadWithXhr.js
      Cesium/Core/loadXML.js
      Cesium/Core/MapProjection.js
      Cesium/Core/Math.js
      Cesium/Core/Matrix2.js
      Cesium/Core/Matrix3.js
      Cesium/Core/Matrix4.js
      Cesium/Core/mergeSort.js
      Cesium/Core/NearFarScalar.js
      Cesium/Core/ObjectOrientedBoundingBox.js
      Cesium/Core/objectToQuery.js
      Cesium/Core/Occluder.js
      Cesium/Core/Packable.js
      Cesium/Core/PackableForInterpolation.js
      Cesium/Core/parseResponseHeaders.js
      Cesium/Core/PinBuilder.js
      Cesium/Core/PixelFormat.js
      Cesium/Core/Plane.js
      Cesium/Core/pointInsideTriangle.js
      Cesium/Core/PolygonGeometry.js
      Cesium/Core/PolygonGeometryLibrary.js
      Cesium/Core/PolygonOutlineGeometry.js
      Cesium/Core/PolygonPipeline.js
      Cesium/Core/PolylineGeometry.js
      Cesium/Core/PolylinePipeline.js
      Cesium/Core/PolylineVolumeGeometry.js
      Cesium/Core/PolylineVolumeGeometryLibrary.js
      Cesium/Core/PolylineVolumeOutlineGeometry.js
      Cesium/Core/PrimitiveType.js
      Cesium/Core/QuadraticRealPolynomial.js
      Cesium/Core/QuantizedMeshTerrainData.js
      Cesium/Core/QuarticRealPolynomial.js
      Cesium/Core/Quaternion.js
      Cesium/Core/QuaternionSpline.js
      Cesium/Core/queryToObject.js
      Cesium/Core/Queue.js
      Cesium/Core/Ray.js
      Cesium/Core/Rectangle.js
      Cesium/Core/RectangleGeometry.js
      Cesium/Core/RectangleGeometryLibrary.js
      Cesium/Core/RectangleOutlineGeometry.js
      Cesium/Core/ReferenceFrame.js
      Cesium/Core/requestAnimationFrame.js
      Cesium/Core/RequestErrorEvent.js
      Cesium/Core/RuntimeError.js
      Cesium/Core/sampleTerrain.js
      Cesium/Core/ScreenSpaceEventHandler.js
      Cesium/Core/ScreenSpaceEventType.js
      Cesium/Core/ShowGeometryInstanceAttribute.js
      Cesium/Core/Simon1994PlanetaryPositions.js
      Cesium/Core/SimplePolylineGeometry.js
      Cesium/Core/SphereGeometry.js
      Cesium/Core/SphereOutlineGeometry.js
      Cesium/Core/Spherical.js
      Cesium/Core/Spline.js
      Cesium/Core/subdivideArray.js
      Cesium/Core/TaskProcessor.js
      Cesium/Core/TerrainData.js
      Cesium/Core/TerrainMesh.js
      Cesium/Core/TerrainProvider.js
      Cesium/Core/throttleRequestByServer.js
      Cesium/Core/TileProviderError.js
      Cesium/Core/TilingScheme.js
      Cesium/Core/TimeConstants.js
      Cesium/Core/TimeInterval.js
      Cesium/Core/TimeIntervalCollection.js
      Cesium/Core/TimeStandard.js
      Cesium/Core/Tipsify.js
      Cesium/Core/Transforms.js
      Cesium/Core/TridiagonalSystemSolver.js
      Cesium/Core/VertexFormat.js
      Cesium/Core/Visibility.js
      Cesium/Core/VRTheWorldTerrainProvider.js
      Cesium/Core/WallGeometry.js
      Cesium/Core/WallGeometryLibrary.js
      Cesium/Core/WallOutlineGeometry.js
      Cesium/Core/WebMercatorProjection.js
      Cesium/Core/WebMercatorTilingScheme.js
      Cesium/Core/WindingOrder.js
      Cesium/Core/wrapFunction.js
      Cesium/Core/writeTextToCanvas.js
      Cesium/DataSources/BillboardGraphics.js
      Cesium/DataSources/BillboardVisualizer.js
      Cesium/DataSources/ColorMaterialProperty.js
      Cesium/DataSources/CompositeEntityCollection.js
      Cesium/DataSources/CompositeMaterialProperty.js
      Cesium/DataSources/CompositePositionProperty.js
      Cesium/DataSources/CompositeProperty.js
      Cesium/DataSources/ConstantPositionProperty.js
      Cesium/DataSources/ConstantProperty.js
      Cesium/DataSources/createPropertyDescriptor.js
      Cesium/DataSources/CzmlDataSource.js
      Cesium/DataSources/DataSource.js
      Cesium/DataSources/DataSourceClock.js
      Cesium/DataSources/DataSourceCollection.js
      Cesium/DataSources/DataSourceDisplay.js
      Cesium/DataSources/DataSources.profile.js
      Cesium/DataSources/DynamicGeometryUpdater.js
      Cesium/DataSources/EllipseGeometryUpdater.js
      Cesium/DataSources/EllipseGraphics.js
      Cesium/DataSources/EllipsoidGeometryUpdater.js
      Cesium/DataSources/EllipsoidGraphics.js
      Cesium/DataSources/Entity.js
      Cesium/DataSources/EntityCollection.js
      Cesium/DataSources/EntityView.js
      Cesium/DataSources/GeoJsonDataSource.js
      Cesium/DataSources/GeometryUpdater.js
      Cesium/DataSources/GeometryVisualizer.js
      Cesium/DataSources/GridMaterialProperty.js
      Cesium/DataSources/ImageMaterialProperty.js
      Cesium/DataSources/LabelGraphics.js
      Cesium/DataSources/LabelVisualizer.js
      Cesium/DataSources/MaterialProperty.js
      Cesium/DataSources/ModelGraphics.js
      Cesium/DataSources/ModelVisualizer.js
      Cesium/DataSources/PathGraphics.js
      Cesium/DataSources/PathVisualizer.js
      Cesium/DataSources/PointGraphics.js
      Cesium/DataSources/PointVisualizer.js
      Cesium/DataSources/PolygonGeometryUpdater.js
      Cesium/DataSources/PolygonGraphics.js
      Cesium/DataSources/PolylineGeometryUpdater.js
      Cesium/DataSources/PolylineGlowMaterialProperty.js
      Cesium/DataSources/PolylineGraphics.js
      Cesium/DataSources/PolylineOutlineMaterialProperty.js
      Cesium/DataSources/PositionProperty.js
      Cesium/DataSources/PositionPropertyArray.js
      Cesium/DataSources/Property.js
      Cesium/DataSources/PropertyArray.js
      Cesium/DataSources/RectangleGeometryUpdater.js
      Cesium/DataSources/RectangleGraphics.js
      Cesium/DataSources/ReferenceProperty.js
      Cesium/DataSources/SampledPositionProperty.js
      Cesium/DataSources/SampledProperty.js
      Cesium/DataSources/StaticGeometryColorBatch.js
      Cesium/DataSources/StaticGeometryPerMaterialBatch.js
      Cesium/DataSources/StaticOutlineGeometryBatch.js
      Cesium/DataSources/StripeMaterialProperty.js
      Cesium/DataSources/StripeOrientation.js
      Cesium/DataSources/TimeIntervalCollectionPositionProperty.js
      Cesium/DataSources/TimeIntervalCollectionProperty.js
      Cesium/DataSources/Visualizer.js
      Cesium/DataSources/WallGeometryUpdater.js
      Cesium/DataSources/WallGraphics.js
      Cesium/main.js
      Cesium/Renderer/AutomaticUniforms.js
      Cesium/Renderer/Buffer.js
      Cesium/Renderer/BufferUsage.js
      Cesium/Renderer/ClearCommand.js
      Cesium/Renderer/Context.js
      Cesium/Renderer/CubeMap.js
      Cesium/Renderer/CubeMapFace.js
      Cesium/Renderer/DrawCommand.js
      Cesium/Renderer/Framebuffer.js
      Cesium/Renderer/loadCubeMap.js
      Cesium/Renderer/MipmapHint.js
      Cesium/Renderer/PassState.js
      Cesium/Renderer/PickFramebuffer.js
      Cesium/Renderer/PixelDatatype.js
      Cesium/Renderer/Renderbuffer.js
      Cesium/Renderer/RenderbufferFormat.js
      Cesium/Renderer/Renderer.profile.js
      Cesium/Renderer/RenderState.js
      Cesium/Renderer/ShaderCache.js
      Cesium/Renderer/ShaderProgram.js
      Cesium/Renderer/ShaderSource.js
      Cesium/Renderer/Texture.js
      Cesium/Renderer/TextureMagnificationFilter.js
      Cesium/Renderer/TextureMinificationFilter.js
      Cesium/Renderer/TextureWrap.js
      Cesium/Renderer/UniformState.js
      Cesium/Renderer/VertexArray.js
      Cesium/Renderer/VertexArrayFacade.js
      Cesium/Scene/Appearance.js
      Cesium/Scene/ArcGisMapServerImageryProvider.js
      Cesium/Scene/Billboard.js
      Cesium/Scene/BillboardCollection.js
      Cesium/Scene/BingMapsImageryProvider.js
      Cesium/Scene/BingMapsStyle.js
      Cesium/Scene/BlendEquation.js
      Cesium/Scene/BlendFunction.js
      Cesium/Scene/BlendingState.js
      Cesium/Scene/Camera.js
      Cesium/Scene/CameraEventAggregator.js
      Cesium/Scene/CameraEventType.js
      Cesium/Scene/CameraFlightPath.js
      Cesium/Scene/createTangentSpaceDebugPrimitive.js
      Cesium/Scene/CreditDisplay.js
      Cesium/Scene/CullFace.js
      Cesium/Scene/CullingVolume.js
      Cesium/Scene/DebugAppearance.js
      Cesium/Scene/DebugModelMatrixPrimitive.js
      Cesium/Scene/DepthFunction.js
      Cesium/Scene/DiscardMissingTileImagePolicy.js
      Cesium/Scene/EllipsoidPrimitive.js
      Cesium/Scene/EllipsoidSurfaceAppearance.js
      Cesium/Scene/FrameRateMonitor.js
      Cesium/Scene/FrameState.js
      Cesium/Scene/FrustumCommands.js
      Cesium/Scene/FXAA.js
      Cesium/Scene/getModelAccessor.js
      Cesium/Scene/Globe.js
      Cesium/Scene/GlobeSurfaceShaderSet.js
      Cesium/Scene/GlobeSurfaceTile.js
      Cesium/Scene/GlobeSurfaceTileProvider.js
      Cesium/Scene/GoogleEarthImageryProvider.js
      Cesium/Scene/GridImageryProvider.js
      Cesium/Scene/HorizontalOrigin.js
      Cesium/Scene/Imagery.js
      Cesium/Scene/ImageryLayer.js
      Cesium/Scene/ImageryLayerCollection.js
      Cesium/Scene/ImageryLayerFeatureInfo.js
      Cesium/Scene/ImageryProvider.js
      Cesium/Scene/ImageryState.js
      Cesium/Scene/Label.js
      Cesium/Scene/LabelCollection.js
      Cesium/Scene/LabelStyle.js
      Cesium/Scene/Material.js
      Cesium/Scene/MaterialAppearance.js
      Cesium/Scene/Model.js
      Cesium/Scene/ModelAnimation.js
      Cesium/Scene/ModelAnimationCache.js
      Cesium/Scene/ModelAnimationCollection.js
      Cesium/Scene/ModelAnimationLoop.js
      Cesium/Scene/ModelAnimationState.js
      Cesium/Scene/ModelMaterial.js
      Cesium/Scene/ModelMesh.js
      Cesium/Scene/ModelNode.js
      Cesium/Scene/Moon.js
      Cesium/Scene/NeverTileDiscardPolicy.js
      Cesium/Scene/OIT.js
      Cesium/Scene/OpenStreetMapImageryProvider.js
      Cesium/Scene/OrthographicFrustum.js
      Cesium/Scene/Pass.js
      Cesium/Scene/PerformanceDisplay.js
      Cesium/Scene/PerInstanceColorAppearance.js
      Cesium/Scene/PerspectiveFrustum.js
      Cesium/Scene/PerspectiveOffCenterFrustum.js
      Cesium/Scene/Polygon.js
      Cesium/Scene/Polyline.js
      Cesium/Scene/PolylineCollection.js
      Cesium/Scene/PolylineColorAppearance.js
      Cesium/Scene/PolylineMaterialAppearance.js
      Cesium/Scene/Primitive.js
      Cesium/Scene/PrimitiveCollection.js
      Cesium/Scene/PrimitivePipeline.js
      Cesium/Scene/PrimitiveState.js
      Cesium/Scene/QuadtreeOccluders.js
      Cesium/Scene/QuadtreePrimitive.js
      Cesium/Scene/QuadtreeTile.js
      Cesium/Scene/QuadtreeTileLoadState.js
      Cesium/Scene/QuadtreeTileProvider.js
      Cesium/Scene/RectanglePrimitive.js
      Cesium/Scene/Scene.js
      Cesium/Scene/Scene.profile.js
      Cesium/Scene/SceneMode.js
      Cesium/Scene/SceneTransforms.js
      Cesium/Scene/SceneTransitioner.js
      Cesium/Scene/ScreenSpaceCameraController.js
      Cesium/Scene/SingleTileImageryProvider.js
      Cesium/Scene/SkyAtmosphere.js
      Cesium/Scene/SkyBox.js
      Cesium/Scene/StencilFunction.js
      Cesium/Scene/StencilOperation.js
      Cesium/Scene/Sun.js
      Cesium/Scene/SunPostProcess.js
      Cesium/Scene/terrainAttributeLocations.js
      Cesium/Scene/TerrainState.js
      Cesium/Scene/TextureAtlas.js
      Cesium/Scene/TileCoordinatesImageryProvider.js
      Cesium/Scene/TileDiscardPolicy.js
      Cesium/Scene/TileImagery.js
      Cesium/Scene/TileMapServiceImageryProvider.js
      Cesium/Scene/TileReplacementQueue.js
      Cesium/Scene/TileState.js
      Cesium/Scene/TileTerrain.js
      Cesium/Scene/TweenCollection.js
      Cesium/Scene/VerticalOrigin.js
      Cesium/Scene/ViewportQuad.js
      Cesium/Scene/WebMapServiceImageryProvider.js
      Cesium/Scene/WebMapTileServiceImageryProvider.js
      Cesium/Shaders/AdjustTranslucentFS.js
      Cesium/Shaders/Appearances/AllMaterialAppearanceFS.js
      Cesium/Shaders/Appearances/AllMaterialAppearanceVS.js
      Cesium/Shaders/Appearances/BasicMaterialAppearanceFS.js
      Cesium/Shaders/Appearances/BasicMaterialAppearanceVS.js
      Cesium/Shaders/Appearances/EllipsoidSurfaceAppearanceFS.js
      Cesium/Shaders/Appearances/EllipsoidSurfaceAppearanceVS.js
      Cesium/Shaders/Appearances/PerInstanceColorAppearanceFS.js
      Cesium/Shaders/Appearances/PerInstanceColorAppearanceVS.js
      Cesium/Shaders/Appearances/PerInstanceFlatColorAppearanceFS.js
      Cesium/Shaders/Appearances/PerInstanceFlatColorAppearanceVS.js
      Cesium/Shaders/Appearances/PolylineColorAppearanceVS.js
      Cesium/Shaders/Appearances/PolylineMaterialAppearanceVS.js
      Cesium/Shaders/Appearances/TexturedMaterialAppearanceFS.js
      Cesium/Shaders/Appearances/TexturedMaterialAppearanceVS.js
      Cesium/Shaders/BillboardCollectionFS.js
      Cesium/Shaders/BillboardCollectionVS.js
      Cesium/Shaders/Builtin/Constants/degreesPerRadian.js
      Cesium/Shaders/Builtin/Constants/depthRange.js
      Cesium/Shaders/Builtin/Constants/epsilon1.js
      Cesium/Shaders/Builtin/Constants/epsilon2.js
      Cesium/Shaders/Builtin/Constants/epsilon3.js
      Cesium/Shaders/Builtin/Constants/epsilon4.js
      Cesium/Shaders/Builtin/Constants/epsilon5.js
      Cesium/Shaders/Builtin/Constants/epsilon6.js
      Cesium/Shaders/Builtin/Constants/epsilon7.js
      Cesium/Shaders/Builtin/Constants/infinity.js
      Cesium/Shaders/Builtin/Constants/oneOverPi.js
      Cesium/Shaders/Builtin/Constants/oneOverTwoPi.js
      Cesium/Shaders/Builtin/Constants/pi.js
      Cesium/Shaders/Builtin/Constants/piOverFour.js
      Cesium/Shaders/Builtin/Constants/piOverSix.js
      Cesium/Shaders/Builtin/Constants/piOverThree.js
      Cesium/Shaders/Builtin/Constants/piOverTwo.js
      Cesium/Shaders/Builtin/Constants/radiansPerDegree.js
      Cesium/Shaders/Builtin/Constants/sceneMode2D.js
      Cesium/Shaders/Builtin/Constants/sceneMode3D.js
      Cesium/Shaders/Builtin/Constants/sceneModeColumbusView.js
      Cesium/Shaders/Builtin/Constants/sceneModeMorphing.js
      Cesium/Shaders/Builtin/Constants/solarRadius.js
      Cesium/Shaders/Builtin/Constants/threePiOver2.js
      Cesium/Shaders/Builtin/Constants/twoPi.js
      Cesium/Shaders/Builtin/Constants/webMercatorMaxLatitude.js
      Cesium/Shaders/Builtin/CzmBuiltins.js
      Cesium/Shaders/Builtin/Functions/alphaWeight.js
      Cesium/Shaders/Builtin/Functions/antialias.js
      Cesium/Shaders/Builtin/Functions/columbusViewMorph.js
      Cesium/Shaders/Builtin/Functions/computePosition.js
      Cesium/Shaders/Builtin/Functions/cosineAndSine.js
      Cesium/Shaders/Builtin/Functions/decompressTextureCoordinates.js
      Cesium/Shaders/Builtin/Functions/eastNorthUpToEyeCoordinates.js
      Cesium/Shaders/Builtin/Functions/ellipsoidContainsPoint.js
      Cesium/Shaders/Builtin/Functions/ellipsoidNew.js
      Cesium/Shaders/Builtin/Functions/ellipsoidWgs84TextureCoordinates.js
      Cesium/Shaders/Builtin/Functions/equalsEpsilon.js
      Cesium/Shaders/Builtin/Functions/eyeOffset.js
      Cesium/Shaders/Builtin/Functions/eyeToWindowCoordinates.js
      Cesium/Shaders/Builtin/Functions/geodeticSurfaceNormal.js
      Cesium/Shaders/Builtin/Functions/getDefaultMaterial.js
      Cesium/Shaders/Builtin/Functions/getLambertDiffuse.js
      Cesium/Shaders/Builtin/Functions/getSpecular.js
      Cesium/Shaders/Builtin/Functions/getWaterNoise.js
      Cesium/Shaders/Builtin/Functions/getWgs84EllipsoidEC.js
      Cesium/Shaders/Builtin/Functions/hue.js
      Cesium/Shaders/Builtin/Functions/isEmpty.js
      Cesium/Shaders/Builtin/Functions/isFull.js
      Cesium/Shaders/Builtin/Functions/latitudeToWebMercatorFraction.js
      Cesium/Shaders/Builtin/Functions/luminance.js
      Cesium/Shaders/Builtin/Functions/modelToWindowCoordinates.js
      Cesium/Shaders/Builtin/Functions/multiplyWithColorBalance.js
      Cesium/Shaders/Builtin/Functions/octDecode.js
      Cesium/Shaders/Builtin/Functions/phong.js
      Cesium/Shaders/Builtin/Functions/pointAlongRay.js
      Cesium/Shaders/Builtin/Functions/rayEllipsoidIntersectionInterval.js
      Cesium/Shaders/Builtin/Functions/RGBToXYZ.js
      Cesium/Shaders/Builtin/Functions/saturation.js
      Cesium/Shaders/Builtin/Functions/signNotZero.js
      Cesium/Shaders/Builtin/Functions/tangentToEyeSpaceMatrix.js
      Cesium/Shaders/Builtin/Functions/translateRelativeToEye.js
      Cesium/Shaders/Builtin/Functions/translucentPhong.js
      Cesium/Shaders/Builtin/Functions/transpose.js
      Cesium/Shaders/Builtin/Functions/windowToEyeCoordinates.js
      Cesium/Shaders/Builtin/Functions/XYZToRGB.js
      Cesium/Shaders/Builtin/Structs/depthRangeStruct.js
      Cesium/Shaders/Builtin/Structs/ellipsoid.js
      Cesium/Shaders/Builtin/Structs/material.js
      Cesium/Shaders/Builtin/Structs/materialInput.js
      Cesium/Shaders/Builtin/Structs/ray.js
      Cesium/Shaders/Builtin/Structs/raySegment.js
      Cesium/Shaders/CompositeOITFS.js
      Cesium/Shaders/EllipsoidFS.js
      Cesium/Shaders/EllipsoidVS.js
      Cesium/Shaders/GlobeFS.js
      Cesium/Shaders/GlobeFSDepth.js
      Cesium/Shaders/GlobeFSPole.js
      Cesium/Shaders/GlobeVS.js
      Cesium/Shaders/GlobeVSDepth.js
      Cesium/Shaders/GlobeVSPole.js
      Cesium/Shaders/Materials/BumpMapMaterial.js
      Cesium/Shaders/Materials/CheckerboardMaterial.js
      Cesium/Shaders/Materials/DotMaterial.js
      Cesium/Shaders/Materials/FadeMaterial.js
      Cesium/Shaders/Materials/GridMaterial.js
      Cesium/Shaders/Materials/NormalMapMaterial.js
      Cesium/Shaders/Materials/PolylineArrowMaterial.js
      Cesium/Shaders/Materials/PolylineGlowMaterial.js
      Cesium/Shaders/Materials/PolylineOutlineMaterial.js
      Cesium/Shaders/Materials/RimLightingMaterial.js
      Cesium/Shaders/Materials/StripeMaterial.js
      Cesium/Shaders/Materials/Water.js
      Cesium/Shaders/PolylineCommon.js
      Cesium/Shaders/PolylineFS.js
      Cesium/Shaders/PolylineVS.js
      Cesium/Shaders/PostProcessFilters/AdditiveBlend.js
      Cesium/Shaders/PostProcessFilters/BrightPass.js
      Cesium/Shaders/PostProcessFilters/FXAA.js
      Cesium/Shaders/PostProcessFilters/GaussianBlur1D.js
      Cesium/Shaders/PostProcessFilters/PassThrough.js
      Cesium/Shaders/ReprojectWebMercatorFS.js
      Cesium/Shaders/ReprojectWebMercatorVS.js
      Cesium/Shaders/Shaders.profile.js
      Cesium/Shaders/SkyAtmosphereFS.js
      Cesium/Shaders/SkyAtmosphereVS.js
      Cesium/Shaders/SkyBoxFS.js
      Cesium/Shaders/SkyBoxVS.js
      Cesium/Shaders/SunFS.js
      Cesium/Shaders/SunTextureFS.js
      Cesium/Shaders/SunVS.js
      Cesium/Shaders/ViewportQuadFS.js
      Cesium/Shaders/ViewportQuadVS.js
      Cesium/ThirdParty/gltfDefaults.js
      Cesium/ThirdParty/knockout-3.2.0.js
      Cesium/ThirdParty/knockout-es5.js
      Cesium/ThirdParty/knockout.js
      Cesium/ThirdParty/measureText.js
      Cesium/ThirdParty/mersenne-twister.js
      Cesium/ThirdParty/sprintf.js
      Cesium/ThirdParty/ThirdParty.profile.js
      Cesium/ThirdParty/topojson.js
      Cesium/ThirdParty/Tween.js
      Cesium/ThirdParty/Uri.js
      Cesium/ThirdParty/when.js
      Cesium/Workers/cesiumWorkerBootstrapper.js
      Cesium/Workers/combineGeometry.js
      Cesium/Workers/createBoxGeometry.js
      Cesium/Workers/createBoxOutlineGeometry.js
      Cesium/Workers/createCircleGeometry.js
      Cesium/Workers/createCircleOutlineGeometry.js
      Cesium/Workers/createCorridorGeometry.js
      Cesium/Workers/createCorridorOutlineGeometry.js
      Cesium/Workers/createCylinderGeometry.js
      Cesium/Workers/createCylinderOutlineGeometry.js
      Cesium/Workers/createEllipseGeometry.js
      Cesium/Workers/createEllipseOutlineGeometry.js
      Cesium/Workers/createEllipsoidGeometry.js
      Cesium/Workers/createEllipsoidOutlineGeometry.js
      Cesium/Workers/createGeometry.js
      Cesium/Workers/createPolygonGeometry.js
      Cesium/Workers/createPolygonOutlineGeometry.js
      Cesium/Workers/createPolylineGeometry.js
      Cesium/Workers/createPolylineVolumeGeometry.js
      Cesium/Workers/createPolylineVolumeOutlineGeometry.js
      Cesium/Workers/createRectangleGeometry.js
      Cesium/Workers/createRectangleOutlineGeometry.js
      Cesium/Workers/createSimplePolylineGeometry.js
      Cesium/Workers/createSphereGeometry.js
      Cesium/Workers/createSphereOutlineGeometry.js
      Cesium/Workers/createTaskProcessorWorker.js
      Cesium/Workers/createVerticesFromHeightmap.js
      Cesium/Workers/createVerticesFromQuantizedTerrainMesh.js
      Cesium/Workers/createWallGeometry.js
      Cesium/Workers/createWallOutlineGeometry.js
      Cesium/Workers/sanitizeHtml.js
      Cesium/Workers/transferTypedArrayTest.js
      Cesium/Workers/upsampleQuantizedTerrainMesh.js
      Cesium/Workers/Workers.profile.js
    )
    config.assets.precompile += cesium_sources
    config.assets.precompile += %w( require.js )

    # Version of your assets, change this if you want to expire all your assets
    config.assets.version = '1.0'
  end
end

